Installation page consists of screenshots from the Installation Screen in Coming Soon Booster WordPress Plugin.

This gives an idea about the Installation Process.

The following set of lists are the Minimum Requirements for installing Coming Soon Booster on your machine.

  • WordPress 3.3+
  • PHP 5.x
  • MySQL 5.x

You can easily install the Standard Edition of Coming Soon Booster through https://wordpress.org/.

For the Premium Edition, you need to first download the plugin sent via a link in your email. After that deactivate the Standard Edition & upload the Premium Edition zip file.

If any problem occurs during the installation process, please contact us at tickets@tech-banker.com